;;; init-theme.el --- .Emacs Configuration -*- lexical-binding: t -*-
;;; Commentary:
;;

;;; Code:
(use-package doom-themes
  :pin "MELPA"
  :ensure t
  :bind
  ("C-x t d" . dark-theme)
  ("C-x t l" . light-theme)

  :init
  (defun light-theme ()
    "Activate light colortheme"
    (interactive)
    (load-theme 'doom-one-light)
    (delete-selection-mode 1)
    )

  (defun dark-theme ()
    "Activate dark colortheme"
    (interactive)
    (load-theme 'doom-molokai)
    (delete-selection-mode 1)
    ;; Invoke customcolors
    (customcolors)
    )
  ;; Invoke theme
  (load-theme 'doom-molokai t)

  :config
  (defun customcolors ()
    "Simple customcolors for theme."
    (set-cursor-color "#268BD2")
    (set-face-background 'highlight "#268BD2")
    (set-background-color "#1E1E1E")

    ;; Modeline
    (set-face-background 'mode-line "#131313")
    (set-face-background 'modeline-inactive "#333333")
    ;; (set-face-foreground 'mode-line "#FFFFFF")

    ;; Fix linum current-line highlight
    (defface my-linum-hl
      '((t :background "#131313" :foreground "gold"))
      "Face for the currently active Line number"
      :group 'linum)
    )

  ;; Invoke customcolors
  (customcolors)
  )

(provide 'init-theme)

;;; init-theme.el ends here
